%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(MooseX/ABC.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name IM-Engine-Plugin-State
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Keep track of some state for each user
Group: Development/Perl
License: perl
URL: http://github.com/sartak/IM-Engine-Plugin-State/tree

Source0: http://cpan.org.ua/authors/id/S/SA/SARTAK/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module lets you store some state for each user. Right now the only backend
is the IM::Engine::Plugin::State::InMemory manpage which seriously limits usability. But
more will come. I just want something with a useful API that I can continue to build up.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/I*

%changelog
* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

